diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/examples/main-simple.cc ns-3.43/src/internet/examples/main-simple.cc
--- ns-3.42/src/internet/examples/main-simple.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/examples/main-simple.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/examples/neighbor-cache-dynamic.cc ns-3.43/src/internet/examples/neighbor-cache-dynamic.cc
--- ns-3.42/src/internet/examples/neighbor-cache-dynamic.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/examples/neighbor-cache-dynamic.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 ZHIHENG DONG
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Zhiheng Dong <dzh2077@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/internet-stack-helper.cc ns-3.43/src/internet/helper/internet-stack-helper.cc
--- ns-3.42/src/internet/helper/internet-stack-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/internet-stack-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Faker Moatamri <faker.moatamri@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/internet-stack-helper.h ns-3.43/src/internet/helper/internet-stack-helper.h
--- ns-3.42/src/internet/helper/internet-stack-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/internet-stack-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/internet-trace-helper.cc ns-3.43/src/internet/helper/internet-trace-helper.cc
--- ns-3.42/src/internet/helper/internet-trace-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/internet-trace-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "internet-trace-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/internet-trace-helper.h ns-3.43/src/internet/helper/internet-trace-helper.h
--- ns-3.42/src/internet/helper/internet-trace-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/internet-trace-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef INTERNET_TRACE_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-address-helper.cc ns-3.43/src/internet/helper/ipv4-address-helper.cc
--- ns-3.42/src/internet/helper/ipv4-address-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-address-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ipv4-address-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-address-helper.h ns-3.43/src/internet/helper/ipv4-address-helper.h
--- ns-3.42/src/internet/helper/ipv4-address-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-address-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef IPV4_ADDRESS_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-global-routing-helper.cc ns-3.43/src/internet/helper/ipv4-global-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv4-global-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-global-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-global-routing-helper.h ns-3.43/src/internet/helper/ipv4-global-routing-helper.h
--- ns-3.42/src/internet/helper/ipv4-global-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-global-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-interface-container.cc ns-3.43/src/internet/helper/ipv4-interface-container.cc
--- ns-3.42/src/internet/helper/ipv4-interface-container.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-interface-container.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-interface-container.h ns-3.43/src/internet/helper/ipv4-interface-container.h
--- ns-3.42/src/internet/helper/ipv4-interface-container.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-interface-container.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-list-routing-helper.cc ns-3.43/src/internet/helper/ipv4-list-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv4-list-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-list-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-list-routing-helper.h ns-3.43/src/internet/helper/ipv4-list-routing-helper.h
--- ns-3.42/src/internet/helper/ipv4-list-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-list-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-routing-helper.cc ns-3.43/src/internet/helper/ipv4-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv4-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-routing-helper.h ns-3.43/src/internet/helper/ipv4-routing-helper.h
--- ns-3.42/src/internet/helper/ipv4-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-static-routing-helper.cc ns-3.43/src/internet/helper/ipv4-static-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv4-static-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-static-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ipv4-static-routing-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv4-static-routing-helper.h ns-3.43/src/internet/helper/ipv4-static-routing-helper.h
--- ns-3.42/src/internet/helper/ipv4-static-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv4-static-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef IPV4_STATIC_ROUTING_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-address-helper.cc ns-3.43/src/internet/helper/ipv6-address-helper.cc
--- ns-3.42/src/internet/helper/ipv6-address-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-address-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-address-helper.h ns-3.43/src/internet/helper/ipv6-address-helper.h
--- ns-3.42/src/internet/helper/ipv6-address-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-address-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  * modified by Tom Henderson for ns-3.14 release
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-interface-container.cc ns-3.43/src/internet/helper/ipv6-interface-container.cc
--- ns-3.42/src/internet/helper/ipv6-interface-container.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-interface-container.cc	2024-10-09 16:41:09.880655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008-2009 Strasbourg University
  *               2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  *         Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-interface-container.h ns-3.43/src/internet/helper/ipv6-interface-container.h
--- ns-3.42/src/internet/helper/ipv6-interface-container.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-interface-container.h	2024-10-09 16:41:09.880655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008-2009 Strasbourg University
  *               2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  *         Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-list-routing-helper.cc ns-3.43/src/internet/helper/ipv6-list-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv6-list-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-list-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-list-routing-helper.h ns-3.43/src/internet/helper/ipv6-list-routing-helper.h
--- ns-3.42/src/internet/helper/ipv6-list-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-list-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-routing-helper.cc ns-3.43/src/internet/helper/ipv6-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv6-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-routing-helper.h ns-3.43/src/internet/helper/ipv6-routing-helper.h
--- ns-3.42/src/internet/helper/ipv6-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-static-routing-helper.cc ns-3.43/src/internet/helper/ipv6-static-routing-helper.cc
--- ns-3.42/src/internet/helper/ipv6-static-routing-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-static-routing-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ipv6-static-routing-helper.h"
